;
function TabPane(options){
    var iCurrentTab=null;
                      
    var tabs=$(options.tabs,options.element).get();
    var panes=$(options.pane,options.element).hide().removeClass('hide').get();
    var anchor='';

    function showTabAndPanel(oTab,oPanel,ft){
        $(oTab).addClass(options.current);

        $(oPanel).removeClass(options.hide);
        if(!ft) $(oPanel).show();
//fadeIn(250); else $(oPanel).show();

        $.cookie('pane', '#'+$(oPanel).attr('id'), {expires: 30});
    };

    function hideTabAndPanel(oTab,oPanel){
        $(oTab).removeClass(options.current);
        //$(oPanel).addClass(options.hide);
        $(oPanel).hide();//(250);
    };

    function forEachTab(i,n){
        if(anchor==String($('a',n)[0].hash)){
            iCurrentTab=i;
        }

        function onTabClick(){
            showTabAndPanel(tabs[i],panes[i]);

            if(iCurrentTab!=null){
                if(iCurrentTab!=i){
                hideTabAndPanel(tabs[iCurrentTab],panes[iCurrentTab]);
                }
            }

            //alert($('a',tabs[i])[0].hash);
            //alert($('a',tabs[i])[0].location);
            $.cookie('pane', $('a',tabs[i])[0].hash, {expires: 30});

            iCurrentTab=i;
        };

        $('a',n).bind('mousedown',onTabClick);
    };

    var url=location.href;
    anchor="";//location.hash;

    if(anchor.length==0) {anchor=$.cookie('pane');}
    $.each(tabs,forEachTab);


        
    if(iCurrentTab==null) {iCurrentTab=0;}
    //alert(iCurrentTab);
    showTabAndPanel(tabs[iCurrentTab],panes[iCurrentTab]);
};

